<div class="miam-select m-input">
	<select class="m-small-typo"  #select (change)="select.blur()" [compareWith]="compareFn"  [formControl]="formControl" >
		<option  [selected]="!formControl?.value" value="null" disabled>{{placeholder}}</option>
		<option *ngFor="let option of options" [ngValue]="option">{{getNestedProperty(option, labelPath.split('.')) | capitalizeFirstLetter}}
		</option>
	</select>
	<ng-miam-icon height='12' width='12' [iconName]='icon.caretDown' primaryColor='var(--m-color-primary)'></ng-miam-icon>
</div>